org.apache.maven.artifact.resolver

## Class DefaultArtifactResolver

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.artifact.resolver.DefaultArtifactResolver

- All Implemented Interfaces:
    ArtifactResolver

      public class DefaultArtifactResolver
      extends AbstractLogEnabled
      implements ArtifactResolver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ArtifactFactory` | `artifactFactory`

    - ### Fields inherited from interface org.apache.maven.artifact.resolver.ArtifactResolver

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultArtifactResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureNumberOfThreads(int threads)`
    `void` | `resolve(Artifact artifact, java.util.List remoteRepositories, ArtifactRepository localRepository)`
    `void` | `resolveAlways(Artifact artifact, java.util.List remoteRepositories, ArtifactRepository localRepository)`
    `ArtifactResolutionResult` | `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter)`
    `ArtifactResolutionResult` | `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.List remoteRepositories, ArtifactRepository localRepository, ArtifactMetadataSource source)`
    `ArtifactResolutionResult` | `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.List remoteRepositories, ArtifactRepository localRepository, ArtifactMetadataSource source, java.util.List listeners)`
    `ArtifactResolutionResult` | `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.Map managedVersions, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source)`
    `ArtifactResolutionResult` | `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.Map managedVersions, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter)`
    `ArtifactResolutionResult` | `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.Map managedVersions, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter, java.util.List listeners)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### artifactFactory

          protected ArtifactFactory artifactFactory

  - ### Constructor Detail

    - #### DefaultArtifactResolver

          public DefaultArtifactResolver()

  - ### Method Detail

    - #### resolve

          public void resolve(Artifact artifact,
                     java.util.List remoteRepositories,
                     ArtifactRepository localRepository)
                       throws ArtifactResolutionException,
                              ArtifactNotFoundException

      Specified by:
        `resolve` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`
        `ArtifactNotFoundException`

    - #### resolveAlways

          public void resolveAlways(Artifact artifact,
                           java.util.List remoteRepositories,
                           ArtifactRepository localRepository)
                             throws ArtifactResolutionException,
                                    ArtifactNotFoundException

      Specified by:
        `resolveAlways` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`
        `ArtifactNotFoundException`

    - #### resolveTransitively

          public ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                                     Artifact originatingArtifact,
                                                     ArtifactRepository localRepository,
                                                     java.util.List remoteRepositories,
                                                     ArtifactMetadataSource source,
                                                     ArtifactFilter filter)
                                                       throws ArtifactResolutionException,
                                                              ArtifactNotFoundException

      Specified by:
        `resolveTransitively` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`
        `ArtifactNotFoundException`

    - #### resolveTransitively

          public ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                                     Artifact originatingArtifact,
                                                     java.util.Map managedVersions,
                                                     ArtifactRepository localRepository,
                                                     java.util.List remoteRepositories,
                                                     ArtifactMetadataSource source)
                                                       throws ArtifactResolutionException,
                                                              ArtifactNotFoundException

      Specified by:
        `resolveTransitively` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`
        `ArtifactNotFoundException`

    - #### resolveTransitively

          public ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                                     Artifact originatingArtifact,
                                                     java.util.Map managedVersions,
                                                     ArtifactRepository localRepository,
                                                     java.util.List remoteRepositories,
                                                     ArtifactMetadataSource source,
                                                     ArtifactFilter filter)
                                                       throws ArtifactResolutionException,
                                                              ArtifactNotFoundException

      Specified by:
        `resolveTransitively` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`
        `ArtifactNotFoundException`

    - #### resolveTransitively

          public ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                                     Artifact originatingArtifact,
                                                     java.util.Map managedVersions,
                                                     ArtifactRepository localRepository,
                                                     java.util.List remoteRepositories,
                                                     ArtifactMetadataSource source,
                                                     ArtifactFilter filter,
                                                     java.util.List listeners)
                                                       throws ArtifactResolutionException,
                                                              ArtifactNotFoundException

      Specified by:
        `resolveTransitively` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`
        `ArtifactNotFoundException`

    - #### resolveTransitively

          public ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                                     Artifact originatingArtifact,
                                                     java.util.List remoteRepositories,
                                                     ArtifactRepository localRepository,
                                                     ArtifactMetadataSource source)
                                                       throws ArtifactResolutionException,
                                                              ArtifactNotFoundException

      Specified by:
        `resolveTransitively` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`
        `ArtifactNotFoundException`

    - #### resolveTransitively

          public ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                                     Artifact originatingArtifact,
                                                     java.util.List remoteRepositories,
                                                     ArtifactRepository localRepository,
                                                     ArtifactMetadataSource source,
                                                     java.util.List listeners)
                                                       throws ArtifactResolutionException,
                                                              ArtifactNotFoundException

      Specified by:
        `resolveTransitively` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`
        `ArtifactNotFoundException`

    - #### configureNumberOfThreads

          public void configureNumberOfThreads(int threads)